Bug 1451709 (CVE-2017-7493) - CVE-2017-7493 Qemu: 9pfs: guest privilege escalation in virtfs mapped-file mode
Summary: CVE-2017-7493 Qemu: 9pfs: guest privilege escalation in virtfs mapped-file mode
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-7493
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1451711
Blocks: 1449496
TreeView+ depends on / blocked
 
Reported: 2017-05-17 10:46 UTC by Prasad J Pandit
Modified: 2019-09-29 14:12 UTC (History)
37 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:12:48 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2017-05-17 10:46:10 UTC
Quick Emulator(Qemu) built with the VirtFS, host directory sharing via Plan 9
File System(9pfs) support, is vulnerable to an improper access control issue.
It could occur while accessing virtfs metadata files in mapped-file security
mode.

A guest user could use this flaw to escalate their privileges inside guest.

Upstream patches:
-----------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2017-05/msg03663.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2017/05/17/6

Comment 1 Prasad J Pandit 2017-05-17 10:47:05 UTC
Acknowledgments:

Name: Leo Gaspard

Comment 2 Prasad J Pandit 2017-05-17 10:49:21 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1451711]


Note You need to log in before you can comment on or make changes to this bug.